#include "Command.h"

#include "../DesktopLauncher.h"

void QuitCommand::execute(OrtographicCamera &camera)
{
    Game::exit();
}

void WCommand::execute(OrtographicCamera &camera)
{
    camera.zoomIn(0.01f);
}

void ACommand::execute(OrtographicCamera &camera)
{
    camera.translate(glm::vec2(-0.1f, 0.0f));
}

void SCommand::execute(OrtographicCamera &camera)
{
    camera.zoomIn(-0.01f);
}

void DCommand::execute(OrtographicCamera &camera)
{
    camera.translate(glm::vec2(0.1f, 0.0f));
}